from setuptools import setup, find_packages
from pyqt_distutils.build_ui import build_ui

setup(
    name='lamp_controller',
    version='0.1',
    description='Lamp controller GUI',
    url='http://orexplore.com/',
    author='Elvis Stansvik',
    author_email='stansvik@kth.se',
    license='Other/Proprietary License',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: System Administrators',
        'Topic :: System :: Networking',
        'License :: Other/Proprietary License',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
    ],
    packages=find_packages(),
    install_requires=['twisted', 'autobahn', 'qt4reactor'],
    entry_points={
        'gui_scripts': [
            'lamp_controller=orexplore.lamp.lamp_controller:main',
        ],
    },
    cmdclass={'build_ui': build_ui}
)
